//
//  Wishlist sidebar
//  ---------------------------------------------

& when (@media-target = 'mobile'){
    .block-wishlist{
        .wishlist-counter{
            margin-bottom: 16px;

            span{
                font-weight: 700;
                color: @color-primary;
            }
        }
        .subtitle{
            font-size: 1.15em;
            font-weight: 700;
            color: @color-text-light;
            margin-bottom: 24px;
            display: inline-block;
        }

        .product-items {
            .product-item-info .product-item-photo {
                display: none;
            }

            .product-item-info .product-item-details {
                margin-left: 0;
            }
        }

        .product-item{
            display: block;
            margin-bottom: 30px;
        }
        .product-item-info{
            display: flex;
            flex-wrap: wrap;

            @media (min-width: @screen__xl){
                flex-wrap: nowrap;
            }
        }

        //Image
        .product-image-container{
            display: inline-block;
            max-width: 100%;
            background: @color-bg-light;
        }
        .product-image-wrapper{
            height: 0;
            display: block;
            position: relative;
            z-index: 1;
            overflow: hidden;
        }
        .product-image-photo{
            text-align: center;
            display: block;
            position: absolute;
            top: 0;
            bottom: 0;
            left: 0;
            right: 0;
            margin: auto;
            height: auto;
            max-width: 100%;
        }

        .product-item-details{
            overflow: hidden;
            padding: 0 0 0 16px;
            position: relative;
            flex-basis: 100%;
            flex-grow: 2;

            @media (min-width: @screen__xl){
                flex-basis: auto;
            }
        }
        .product-item-name{
            display: block;
            font-size: 14px;
            line-height: 23px;
            margin-bottom: 0;
            padding-right: 24px;

            a{
                color: @color-text-light;
                &:hover{
                    color: @color-primary;
                }
            }
        }
        .product-items .price-box {
            display: none;
        }
        .price-as-configured .price-final_price{
            display: none;
        }
        .product-item-actions{
            .tocart span{
                display: none;
            }
            button.action{
                padding: 0;
                border-radius: 50px;
                &:before{
                    display: inline-block;
                    width: 50px;
                    font-size: 23px;
                    line-height: 50px;
                    vertical-align: baseline;
                }
            }
            .action.tocart {
                .font-icon('\ea4c', @linearicons-icon-family);
                padding: 0;
                text-align: center;
                color: @color-default;
                background: transparent;

                &:before {
                    font-size: 23px;
                    width: 40px;
                    height: 40px;
                    line-height: 40px;
                }

                &:hover {
                    color: @color-primary;
                }
            }
        }
        .empty{
            margin-top: 16px;
        }

        .actions-secondary{
            position: absolute;
            top: -2px;
            right: 0;

            .btn-remove {
                font-size: 16px;
            }
        }

        .actions-toolbar a.details{
            width: 100%;
            text-align: center;
            padding: 14px 33px;

            @media (min-width: @screen__xs) and (max-width: (@screen__l - 1)){
                width: auto;
            }
        }

        .actions-toolbar .action.details {
            .lib-button;
        }
    }

    //
    //  Wishlist page
    //  ---------------------------------------------

    .products-grid.wishlist{
        // Name
        .product-item-name{
            display: block;
            margin-left: 0;
        }

        // Price
        .price-as-configured span[data-price-amount="0"]{
            display: none;
        }

        .product-item {
            margin-bottom: 3rem;

            .product-item-photo {
                float: none;
                justify-content: center;
            }

            .product-image-photo {
                position: static;
            }

            .price-box {
                margin-top: 5px;
                margin-left: 0;
                justify-content: center;
            }

            .product-item-tooltip {
                margin-left: 0;
            }
        }

        .product-item-inner{
            text-align: left;
        }

        // Options
        .product-item-tooltip{
            .subtitle,
            .ui-dialog-buttonpane{
                display: none;
            }
            .toggle{
                cursor: pointer;
                color: @color-text-light;
                font-weight: 700;
                margin-bottom: 8px;
                display: none;
            }

            .tooltip.content {
                max-width: none;
                min-width: 0;
                padding: 0;
                z-index: inherit;
                display: block;
                position: static;
                border: none;
                text-align: center;

                &:before {
                    display: none;
                }

                .subtitle {
                    font-size: 14px;
                    font-weight: 700;
                    margin-bottom: 5px;
                    margin-top: 5px;
                }
            }

            dl{
                display: flex;
                justify-content: space-around;
                align-items: stretch;
                flex-wrap: wrap;

                dt, dd{
                    flex-basis: 40%;
                }
                dt{
                    text-align: right;
                    padding-right: 8px;
                }
                dd{
                    text-align: left;
                    padding-left: 8px;
                }
            }
        }

        // Comment
        .comment-box label{
            color: @color-text-dark;
            font-weight: 700;
            margin-bottom: 4px;
            display: inline-block;
        }
        textarea{
            min-height: 105px;
        }

        // Product`s action
        .box-tocart{
            margin-bottom: 10px;
            .fieldset{
                width: 100%;

                .label{
                    width: 100%;
                    color: @color-text-light;
                    font-weight: 700;
                    margin-bottom: 4px;
                    display: inline-block;
                }
                .wishlist_box-tocart__wrapper{
                    display: flex;
                    justify-content: flex-start;
                    align-items: flex-start;
                    flex-direction: column;

                    @media (min-width: @screen__xl){
                        justify-content: space-between;
                        align-items: stretch;
                        flex-direction: row;
                    }
                }
                .field.qty{
                    flex-basis: auto;
                    padding: 0;
                    width: 100%;

                    @media (min-width: @screen__m){
                        width: auto;
                    }

                    @media (min-width: @screen__xl){
                        flex-basis: 40%;
                    }

                    .control,
                    input{
                        height: 100%;
                        text-align: center;
                    }
                }
                .product-item-actions{
                    display: flex;
                    flex-basis: auto;
                    justify-content: flex-start;
                    margin-top: 12px;

                    @media (min-width: @screen__xl){
                        flex-basis: 60%;
                        justify-content: flex-end;
                        margin-top: 0;
                    }
                }
            }
            .unavailable.stock{
                margin: 7px 3px 6px 8px;
            }
        }
        .product-item-actions{
            display: block;
            margin: 0;
            padding-top: 1px;
            .actions-primary{
                margin: 0;
                padding-right: 10px;
            }
        }

        @media (max-width: (@screen__m - 1)){
            .product-item-inner{
                position: relative;

                > .product-item-actions{
                    display: flex;
                    margin-top: 10px;

                    .action{
                        background-color: transparent;
                        font-size: 14px;
                        line-height: 48px;
                        color: @color-text-lightest;
                        display: block;
                        width: 50px;
                        height: 50px;
                        border-radius: 50px;
                        border: 1px solid @color-bg-dark;
                        background: @color-bg-dark;
                        text-align: center;
                        &:hover{
                            color: @color-primary;
                            background: @color-white;
                            border-color: @color-border-color;
                        }

                        + .action{
                            margin-left: 8px;
                        }
                    }
                }
            }
        }

        a.action{
            &.edit,
            &.delete{
                font-size: 14px;
                line-height: 1;
                color: @color-text-lightest;
                &:hover{
                    color: @color-primary;
                }
            }

            + a.action{
                margin-left: 10px;
            }
        }
    }

    .form-wishlist-items .actions-toolbar{
        margin-top: 10px;
        padding-top: 40px;
        border-top: 1px solid @color-border-color;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: flex-start;

        @media (min-width: @screen__m) {
            flex-direction: row-reverse;
            justify-content: flex-end;
            align-items: center;
        }

        .primary{
            display: flex;
            flex-direction: column-reverse;
            align-items: flex-start;
            margin-bottom: 10px;

            @media (min-width: @screen__m) {
                flex-direction: row;
                align-items: stretch;
                margin-bottom: 0;
                margin-left: 15px;
            }

            .action{
                display: block;
                padding: 12px;

                +.action{
                    margin-bottom: 10px;
                    margin-left: 0;

                    @media (min-width: @screen__m) {
                        margin-bottom: 0;
                        margin-left: 10px;
                    }
                }
            }
        }
        .update{
            .font-icon('\e92d');
        }
        .share{
            .font-icon('\eaa0');
        }
    }

    .wishlist-index-index.account.page-layout-2columns-left .column.main {
        width: 100%;
    }
}
